// -------------------------------------------------------------------------------------------------
// xsDialogos.hpp
// -------------------------------------------------------------------------------------------------

// Se incluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsDialogos_hpp__
#define __xsDialogos_hpp__

Clase xsDialogos : Publica xsObjeto
{
    Privada:

        xsObjetoGUI* areaDialogo;
        
    Publica:
    
	    xsDialogos();
		
        Vacio crear(xsCadena          titulo,
                    xsVentanaGUI*     padre,
                    xsDialogoBanderas flags,
                    xsCadena          boton,
                    Entero            respuetaBoton);

        Vacio agregarBoton(xsCadena textoBoton, 
                           Entero   respuestaBoton);

        Vacio asignarContenedor(xsObjetoGUI* contenedor);

        Entero ejecutar();		
};

// Fin de la Definición del Archivo
#endif
